{
unit Lang

  ES: unidad para facilitar el cambio de idioma en los errores
  EN: unit to facilitate the change of language of the errors

=========================================================================
History:

ver 0.1:
  ES: primera versin
  EN: first version
=========================================================================
IMPORTANTE PROGRAMADORES: Por favor, si tienes comentarios, mejoras,
  ampliaciones, errores y/o cualquier otro tipo de sugerencia, envame un correo a:
  gmlib@cadetill.com

IMPORTANT PROGRAMMERS: please, if you have comments, improvements, enlargements,
  errors and/or any another type of suggestion, please send me a mail to:
  gmlib@cadetill.com
=========================================================================

Copyright () 2011, by Xavier Martinez (cadetill)

@author Xavier Martinez (cadetill)
@web  http://www.cadetill.com
}
unit Lang;

interface

uses
  GMConstants;

const
  Lang_ESP: array[0..46] of string = (
      'Texto no encontrado',       // 0
      'Direccin buscada=',        // 1
      'Resultado consulta=',       // 2
      'Resultado=',                // 3
      '   Tipo=',                  // 4
      'Direccin devuelta=',       // 5
      '   Desglose=',              // 6
      '      Tipo=',               // 7
      '         Descripcin=',     // 8
      '         Abreviatura=',     // 9
      '   Coordenadas=',           // 10
      '      Latitud=',            // 11
      '      Longitud=',          // 12
      'Correcto',                           // 13
      'Buffer demasiado pequeo',           // 14
      'Red de destino inaccesible',         // 15
      'Destination Host Unreachable',       // 16
      'Protocolo de destino inaccesible',   // 17
      'Puerto de destino inaccesible',      // 18
      'Sin recursos',                       // 19
      'Opcin incorrecta',                  // 20
      'Error de Hardware',                  // 21
      'Paquete demasiado grande',           // 22
      'Tiempo de espera agotado',           // 23
      'Solicitud errnea',                  // 24
      'Ruta errnea',                       // 25
      'TimeToLive Expired Transit',         // 26
      'TimeToLive Expired Reassembly',      // 27
      'Problema de parmetros',             // 28
      'Source Quench',                      // 29
      'Opcin demasiado grande',            // 30
      'Destino errneo',                    // 31
      'Negociando IPSEC',                   // 32
      'Fallo general',                      // 33
      'Desconocido',                        // 34
      'Error procesando consulta',          // 35
      'No se ha especificado el objeto WebBrowser',    // 36
      'Pgina inicial aun no cargada',      // 37
      'El mapa todava no ha sido creado',  // 38
      'No est activo',                     // 39
      'No se ha podido cargar el recurso',  // 40
      'Este objeto no tiene relacin en JavaScript',  // 41
      'Id de JavaScript incorrecto',        // 42
      'Id de JavaScript inexistente',       // 43
      'Nmero de parmetros incorrecto',    // 44
      'Tipo de parmetro incorrecto',       // 45
      'Valor de parmetro incorrecto'       // 46
      );

  Lang_ENG: array[0..46] of string = (
      'Text not found',            // 0
      'Address search=',           // 1
      'Query results=',            // 2
      'Result=',                   // 3
      '   Type=',                  // 4
      'Address returned=',         // 5
      '   Breakdown=',             // 6
      '      Typr=',               // 7
      '         Description=',     // 8
      '         Short=',           // 9
      '   Coordinates=',           // 10
      '      Latitude=',           // 11
      '      Longitude=',          // 12
      'Success',                            // 13
      'Buffer Too Small',                   // 14
      'Destination Net Unreachable',        // 15
      'Destination Host Unreachable',       // 16
      'Destination Protocol Unreachable',   // 17
      'Destination Port Unreachable',       // 18
      'No Resources',                       // 19
      'Bad Option',                         // 20
      'Hardware Error',                     // 21
      'Packet Too Big',                     // 22
      'Request Timed Out',                  // 23
      'Bad Request',                        // 24
      'Bad Route',                          // 25
      'TimeToLive Expired Transit',         // 26
      'TimeToLive Expired Reassembly',      // 27
      'Parameter Problem',                  // 28
      'Source Quench',                      // 29
      'Option Too Big',                     // 30
      'Bad Destination',                    // 31
      'Negotiating IPSEC',                  // 32
      'General Failure',                    // 33
      'Unknow',                             // 34
      'Error processing request',           // 35
      'WebBrowser not defined',             // 36
      'Initial page not loaded',            // 37
      'The map is not yet created',         // 38
      'Not active',                         // 39
      'Can''t load resource',               // 40
      'This object has no relation in JavaScript', // 41
      'Id from JavaScript incorrect',       // 42
      'JavaScript Id does not exist',       // 43
      'Incorrect number of parameters',     // 44
      'Incorrect type parameter',           // 45
      'Incorrect value parameter'           // 46
      );

  function GetTranslateText(Text: string; Lang: TLang): string;

implementation

{ TLanguage }

function GetTranslateText(Text: string; Lang: TLang): string;
  function GetIndex(Text: string): Integer;
  var
    i: Integer;
  begin
    Result := 0;
    for i := 1 to High(Lang_ESP) do
      if Text = Lang_ESP[i] then
      begin
        Result := i;
        Break;
      end;
  end;
begin
  case Lang of
    English: Result := Lang_ENG[GetIndex(Text)];
    else Result := Text;
  end;
end;

end.
